Article ID: 114027, created on May 30, 2012, last review on May 1, 2014

  • Applies to:
  • Automation

Release Notes

Online Store

PBA-38153
Problem: During an Online Store upgrade, .htaccess was not updated properly; this resulted in the appearance of broken links in the Online Store's jscript files.
Fix: The new Online Store file structure requires new rewrite rules, which were not used in previous versions and were not stored in the .htaccess file. Links to jscript files in the Store have been replaced with ones suitable for old .htaccess files.

PBA-38188
Problem: Store upgrade failed with Microsoft VBScript runtime error: "File already exists."
Fix: We have fixed the way Online Store files are moved: config_custom.ini is now moved to the folder instead of the entire folder being moved.
 

User Interface

PBA-38182
Problem: Unable to see new skins after upgrading Parallels Business Automation (PBA) to version 5.4 without cleaning the browser cache.
Fix: The new skins are now displayed correctly after the upgrade.

PBA-38348
Problem: Clicking the "More Tools" button on the Account Settings tab in Control Panel had no effect.
Fix: The button is clickable now.

PBA-38400
Problem: Grey icon images were absent on some screens in Control Panel in "Use PA branding" mode.
Fix: All images are now taken from the product, not from skins, as they were previously.

PBA-38132
Problem: The ability to search for a subscription was missing from CCP > Billing> Buy Additional Resources.
Fix: You are now able to search for a subscription on this screen.

PBA-38117
Problem: Descriptions of menu items were displayed as links in Control Panel.
Fix: Menu items are now displayed correctly.

 

Localization

PBA-38393
Problem: Incorrect button name "\Оформить заказ\" in Online Store with Russian locale.
Fix: Locale has been fixed.

PBA-38266
Problem: Unable to create Service Plan using English locale if "&thousands_separator" key was empty.
Fix: Validator of respective input field works correctly now.

 

Domain Plug-ins

PBA-34477
Problem: No localization of required provisioning parameters was possible for the RUCENTER registrar.
Fix: The option to localize extra RUCENTER parameters has been added.

PBA-34476
Problem: The default language of "IDN Language" was set to "Albanian" in the RUCENTER plugin.
Fix: The default language is now set to "Russian."

 
Miscellaneous

PBA-38259
Problem: PBA Control Panel was unavailable with a system error on heavily-loaded nodes.
Fix: If the requests dispatcher is stopped for some reason, the application is now stopped forcefully.

PBA-38165
Problem: Method PlaceOrderAndAuthorize_API did not have a built-in validator for provisioning parameters as "passed," but information on this fact was missing.
Fix: The public API Reference has been updated.

PBA-36726
Problem: An error was shown when placing an order if you selected a country for which the tax registration number is not necessary.
Fixed: The error is no longer displayed.


Installation instructions

New Installations:
Linux: http://download.pa.parallels.com/pba/5.4/doc/pdf/Deployment_Guides/PBA_5_4_for_Linux_Deployment_Guide.pdf
Windows: http://download.pa.parallels.com/pba/5.4/doc/pdf/Deployment_Guides/PBA_5_4_for_Windows_Deployment_Guide.pdf

Upgrade:
Linux: http://download.pa.parallels.com/pba/5.4/doc/pdf/Deployment_Guides/PBA_5_4_for_Linux_Upgrade_Guide.pdf
Windows: http://download.pa.parallels.com/pba/5.4/doc/pdf/Deployment_Guides/PBA_5_4_for_Windows_Upgrade_Guide.pdf

Migration:
Linux: http://download.pa.parallels.com/pba/5.4/doc/pdf/Deployment_Guides/PBA_5_4_Migration_Guide.pdf

Installation files:
Note: Use the installation files listed below instead of the ones given in the "Downloading and Copying Installation Files" section of the corresponding guide.

RHEL4/Centos4 – 32-bit
App: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el4/pba-installer-5.4.1-015.el4.i686.sh
Store: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el4/pba-templatestore-installer-5.4.1-015.el4.i686.sh
DB: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el4/pba-db-installer-5.4.1-015.el4.i686.sh
SDK: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el4/pba-sdk-installer-5.4.1-015.el4.i686.sh

RHEL6/Centos6 – 64-bit
App: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el6/pba-installer-5.4.1-015.el6.x86_64.sh
Store: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el6/pba-templatestore-installer-5.4.1-015.el6.x86_64.sh
DB: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el6/pba-db-installer-5.4.1-015.el6.x86_64.sh
SDK: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el6/pba-sdk-installer-5.4.1-015.el6.x86_64.sh
Migration: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/el6/pba-migration-installer-5.4.1-015.el6.x86_64.sh

Windows 2008 – 64-bit
App: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/win64/pba-installer-5.4.1-015.x86_64.exe
Store: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/win64/bm-templatestore-5.4.1-015.x86_64.msi

Windows 2003 – 32-bit
App: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/win32/pba-installer-5.4.1-015.x86.exe
Store: http://download.pa.parallels.com/pba/5.4/5.4.1-update1/win32/bm-templatestore-5.4.1-015.x86.msi


Additional Information

1.       PBA will require a restart during the update.
2.       During the upgrade, all PBA RPMs will be upgraded to newer versions. If a backup is made with a server/VPS restart,
          then the private key for credit card encryption needs to be reloaded.
3.       Additional documentation can be found here: http://download.pa.parallels.com/pba/5.4/.

caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF